.SUBCKT 6N16B 1 2 3 ; P G K ;
+ PARAMS: CCG=2.7P  CGP=1.5P CCP=1.65P RGI=2000
+ MU=24.864 EX=1.848 KG1=1410.0 KP=480.0 KVB=30.375 VCT=0.174
E1 7 0 VALUE={V(1,3)/KP*LOG(1+EXP(KP*(1/MU+V(2,3)/SQRT(KVB+V(1,3)*V(1,3)))))}
RE1 7 0 1G
G1 1 3 VALUE={(PWR(V(7),EX)+PWRS(V(7),EX))/KG1}
RCP 1 3 1G

*    Modifié par Totof le 26/02/2016 pour essai de courant grille avec influence de la tension d'écran et non pas d'anode !!!
*    Bgg G k I=IF(V(G,K)>-1.2, A * ((( B +V(A,K))/( C +V(A,K)))**4)*V(G,K)**1.5,D)
*    Dans la formule ci-dessus,
*    [A * ((( B +V(A,K))/( C +V(A,K)))**4)*V(G,K)**1.5] est la formule du courant grille pour Vg > -1.2 V
*    [D] est la constante du courant grille pour Vg < -1.2 V
*    A ?
*    B augmente le courant quand sa valeur croit, 
*    C accentue le coude en le ressérant vers la gauche quand sa valeur décroit 
*    D est l'offset du courant grille pour Vg < -1.2 volts
Bgg     2       3       I=IF(V(2,3)>-1.2,5.10044246234457E-09 * ((( 4238.969348634 +V(1,3))/( 281.39443771702 +V(1,3)))**4)*(V(2,3)+1.2)**1.5,0)


C1 2 3 {CCG}
C2 2 1 {CGP}
C3 1 3 {CCP}

.ENDS
